# For more information on configuration options, refer to https://docs.pro.hasura.io/custom-installation/helm-configs/
global:
  # Allowed values: http, https
  uriScheme: "http"
  # Set to the configured domain / Ingress' loadbalancerIP.nip.io
  domain: "35.235.7.103.nip.io"
  # Set to the k8s namespace the resources should be deployed to.The namespace should exist before applying the manifest
  namespace: "default"
  # Enable subdomain based deployment, defaults to path based deployment [false]
  subDomain: false
  # When urischeme is set to https, choose between letsencrypt-staging and letsencrypt-prod to enable TLS termination using certificats from Let's encrypt.
  certIssuer: "letsencrypt-prod"
  # Deployments will now use service accounts to pull docker images from private container registries. Should be set to true to use Hasura private registry for control plane images. 
  serviceAccount:
    enabled: true
secrets:
  # Adds imagePullSecret to the service accounts to be able to pull images from hasura-ee container registry
  imagePullSecret:
    auths:
      gcr.io:
        username: "_json_key"
        # Below content should be replaced with the shared "company-sa.json" file content, indented correctly.
        password: |
          {
            "type": "service_account",
            "project_id": "hasura-ee",
            "private_key_id": "87a1ba89a1cff4f3e7c681153fcf50dc46eb3045",
            "private_key": "-----BEGIN PRIVATE KEY-----\nMIIEuwIBADANBgkqhkiG9w0BAQEFAASCBKUwggShAgEAAoIBAQCaVSQd5LUEIic3\n8L0Us3Q5MAokpOaJQA/3tch2gGLlBo+cIJLAC/7p5VLo40ORhfFu6OMIm29FBWG5\nH5cSWOwrn0PAlFWfQR5lP0CTUktg7s0J2SUT8F3kY9OBSecow3MAoqmgMajxQxPl\ndzy6n5dx+VyUDzbAE4ztUasHAtakUbJw7WzVrjrqgUSDvIhGi1+k0rCeqyoy5NKQ\nqmqw0NiCZiSUwcQqolijs16IUSt7E2eqc1mEP9zWCWXVQMt1mlaFLD8PVptrRR2n\nxmetwQLxUm5I5wGcLZ+gNr9gWB34W3WP/QiAQ7Zx02WcY7wjNaI4QQk5DyeTswjteVLnIvNBhDPMsRrdaxtE\nV7b8CosPGh8puK6pyWBbxxlu3eoFmHQi7QA/GQKBgG+w+ITR1yWnQJoakDMjKK7K\nfe/irNaB03PSbVDrXkCNoH8K3gQIqmH8olgR2awmKmRXo+mtdlbCqzNSnyjvUZsg\n0hWjgp1jJ2FNnRmhHzSbcyNptLwfVB3CTRuHDS1tGgyLVfv8FXk37VT8O01280un\nRyXIIuXsgg0wzgl59btT\n-----END PRIVATE KEY-----\n",
            "client_email": "client@hasura-ee.iam.gserviceaccount.com",
            "client_id": "100305469197540218341",
            "auth_uri": "https://accounts.google.com/o/oauth2/auth",
            "token_uri": "https://oauth2.googleapis.com/token",
            "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
            "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/client%40hasura-ee.iam.gserviceaccount.com"
            }
        email: "support@hasura.io"
  # Password length - 16 - Generate new passwords
  dbPassword: "5gfFvdBfUcYcQ4Js"
  timescaledbPassword: "5gfFvdBfUcYcQ4Js"
  data:
    # Generate some random secrets for below of said length
    # Secret length - 64
    # Sets the Admin secret for Hasura instances powering the control plane. This is different from the admin secrets of the Data plance Hasura Pro instances.
    HASURA_GRAPHQL_ADMIN_SECRET: "dKpC46ZapzYa5b2ymfv9TWy8w9Kg7mCmhTEebTPzhrNmYpHMwLYmcVDGUcqV6uVa"
    # Generate some secrets for oauth2 service
    # Secret length - 64
    OIDC_SUBJECT_TYPE_PAIRWISE_SALT: "22LEu9qH3nMXmYs8d4tgYnJ2THLbkNe5KfuLvZZeXjX5QQhCQpKGYpGec6hWrAKJ"
    SECRETS_SYSTEM: "TRUB88kkZzcGT5E5DYSGnZLKEX6ty2g6GfjgBvaYMYEAFFLcEcE8PYCNU78JPxgK"
    # Generate some secrets for auth service [for cookie and session encrytion keys]
    # Secret length - 64
    COOKIE_KEY: "K2qZ3XMuwCuw3NkhfsRAKfBy3AXX4BmFw972pd6awyRUhckTXDPKB8nBwXwPpapk"
    SESSION_KEY: "rbe8jLRKAaSYn5NTA53f2jJaFQqaPkREAT9seYYMAr2dL9yZ3695M9NdBP3EqsC6"
    # set credentials for accompanying redis instance
    # redis is part of the installation - only credentials needs to be set
    # Secret length - 32
    AUTH_REDIS_PASSWORD: "DG7MjA4hquDyYE9q6e32AcbadMTRqEuK"
    LOGS_REDIS_PASSWORD: "DG7MjA4hquDyYE9q6e32AcbadMTRqEuK"
    # email credentials
    # SMTP server is not part of the installation, credentials for an external service is required
    SMTP_PASSWORD: "password"
    # Social login details for auth service (Optional)
    GITHUB_CLIENT_ID: "<github-client-id>"
    GITHUB_CLIENT_SECRET: "<github-client-secret>"
    GOOGLE_CLIENT_ID: "<google-client-id>"
    GOOGLE_CLIENT_SECRET: "<google-client-secret>"
# configs:
#   # SMTP configs to send E-mails
#   smtpHost: "smtp.org.com"
#   smtpPort: "2525"
#   smtpDisableAuth: "true"

# #Stateful services configuration. Defaults to true to use embedded services. Can be set to false to use external managed services. Refer 
postgres:
  enabled: true
timescaledb:
  enabled: true
auth-redis:
  enabled: true
logs-redis:
  enabled: true
# # Per Service configuration override. For more options, refer https://docs.pro.hasura.io/custom-installation/helm-configs/#common-overrides
hge-pro:
  namespace: default
  image:
    tag: "v2.6.1-pro.1.ubuntu"
  #   additionalEnv: |
  #     - name: HASURA_GRAPHQL_ENABLED_APIS
  #       value: "graphql,metadata,config,developer,pgdump"
  #   resources: |
  #     requests:
  #       cpu: 200m
  #       memory: 1Gi
  #     limits:
  #       cpu: 1000m 
  #       memory: 1Gi
